/*
* Copyright (c) 2017 Experis IT.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the
* MIT License which accompanies
* this distribution, and is available at
D1.1 Project Management and Quality Plan Version 1.0  Final. Date: 28.02.2017
 DECIDE Consortium Contract No. GA 731533 Page 22 of 46
www.decide-h2020.eu
* https://opensource.org/licenses/MIT
*
* Contributors:
*
* Luis Silva - Experis IT
**Initially developed in the context of DECIDE EU project www.DECIDE-h2020.eu
*/

package eu.DECIDEh2020.violationhandler;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class EvalMatch {

    @SerializedName("metric")
    @Expose
    private String metric;
    @SerializedName("tags")
    @Expose
    private Tags tags;
    @SerializedName("value")
    @Expose
    private Integer value;

    public String getMetric() {
        return metric;
    }

    public void setMetric(String metric) {
        this.metric = metric;
    }

    public EvalMatch withMetric(String metric) {
        this.metric = metric;
        return this;
    }

    public Tags getTags() {
        return tags;
    }

    public void setTags(Tags tags) {
        this.tags = tags;
    }

    public EvalMatch withTags(Tags tags) {
        this.tags = tags;
        return this;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public EvalMatch withValue(Integer value) {
        this.value = value;
        return this;
    }

	@Override
	public String toString() {
		return "EvalMatch ["
				+ "\n	metric=" + metric + "\n	tags=" + tags.toString() + "\n	value=" + value + "]";
	}

}
